Problem installing GLFW-0.4.2 on WinXP x86 32-bit using cabal

Michael Chin mgchin at
Tue Jan 17 07:52:53 GMT 2012

 I noticed another posted here about issues installing GLFW and was
wondering if someone could help me resolve why I am unable to build GLFW.
I'm required to install GLFW for a class assignment. Any suggestions or
help would be greatly appreciated. Thanks.

Here is the console output:
$ cabal install GLFW
Resolving dependencies...
Configuring GLFW-0.4.2...
Preprocessing library GLFW-0.4.2...
Building GLFW-0.4.2...
[1 of 1] Compiling Graphics.UI.GLFW ( Graphics\UI\GLFW.hs,
dist\build\Graphics\UI\GLFW.o )

    Ambiguous occurrence `unsafePerformIO'
    It could refer to either `Foreign.unsafePerformIO',
                             imported from Foreign at
                          or `System.IO.Unsafe.unsafePerformIO',
                             imported from System.IO.Unsafe at


(More of the same errors)


cabal.exe: Error: some packages failed to install:
GLFW-0.4.2 failed during the building phase. The exception was:
ExitFailure 1

Is there something wrong with my environment?

WinXP x86

$ ghc --version
The Glorious Glasgow Haskell Compilation System, version 7.2.2

$ cabal --version
cabal-install version 0.10.2
using version of the Cabal library

Thanks in advance,

Michael G. Chin
mgchin at
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <>

More information about the GLFW mailing list